aid_management_settings_approvals_payout_destinations_get
curl --request GET \
--url https://api.dintero.com/v1/accounts/{aid}/management/settings/approvals/payout-destinations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/management/settings/approvals/payout-destinations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dintero.com/v1/accounts/{aid}/management/settings/approvals/payout-destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/management/settings/approvals/payout-destinations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dintero.com/v1/accounts/{aid}/management/settings/approvals/payout-destinations")
.header("Authorization", "Bearer <token>")
.asString();{
"payout_destinations": [
{
"payout_destination_id": "<string>",
"payout_reference": "<string>",
"bank_accounts": [
{
"bank_account_currency": "NOK",
"payout_currency": "NOK",
"bank_name": "<string>",
"bank_account_number": "<string>",
"bank_account_country_code": "NO",
"bank_identification_code": "DNBANOKKXXX"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"deleted_at": "2023-11-07T05:31:56Z",
"payout_destination_name": "<string>",
"payout_destination_description": "<string>",
"country_code": "<string>",
"organization_number": "<string>",
"individual": {
"name": "<string>",
"birth_date": "2023-12-25",
"phone_number": "<string>",
"email": "jsmith@example.com",
"address_line": "Sommerkroveien 34",
"address_line_2": "PB 123",
"address_postal_code": "0349",
"address_city": "Oslo",
"address_country": "NO"
},
"form_submitter": {
"email": "jsmith@example.com",
"name": "<string>",
"title": "<string>"
},
"settlement_report_configuration": {
"emails": [
"jsmith@example.com"
]
},
"report_configuration": {
"create_report_configuration": true,
"email": "jsmith@example.com",
"reference": "<string>",
"content_types": []
},
"links": [
{
"href": "<string>"
}
]
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Payout Approvals
List seller approvals
scopes:
- admin:accounts
- read:accounts
GET
https://api.dintero.com/v1
/
accounts
/
{aid}
/
management
/
settings
/
approvals
/
payout-destinations
aid_management_settings_approvals_payout_destinations_get
curl --request GET \
--url https://api.dintero.com/v1/accounts/{aid}/management/settings/approvals/payout-destinations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.dintero.com/v1/accounts/{aid}/management/settings/approvals/payout-destinations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.dintero.com/v1/accounts/{aid}/management/settings/approvals/payout-destinations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/accounts/{aid}/management/settings/approvals/payout-destinations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dintero.com/v1/accounts/{aid}/management/settings/approvals/payout-destinations")
.header("Authorization", "Bearer <token>")
.asString();{
"payout_destinations": [
{
"payout_destination_id": "<string>",
"payout_reference": "<string>",
"bank_accounts": [
{
"bank_account_currency": "NOK",
"payout_currency": "NOK",
"bank_name": "<string>",
"bank_account_number": "<string>",
"bank_account_country_code": "NO",
"bank_identification_code": "DNBANOKKXXX"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
"deleted_at": "2023-11-07T05:31:56Z",
"payout_destination_name": "<string>",
"payout_destination_description": "<string>",
"country_code": "<string>",
"organization_number": "<string>",
"individual": {
"name": "<string>",
"birth_date": "2023-12-25",
"phone_number": "<string>",
"email": "jsmith@example.com",
"address_line": "Sommerkroveien 34",
"address_line_2": "PB 123",
"address_postal_code": "0349",
"address_city": "Oslo",
"address_country": "NO"
},
"form_submitter": {
"email": "jsmith@example.com",
"name": "<string>",
"title": "<string>"
},
"settlement_report_configuration": {
"emails": [
"jsmith@example.com"
]
},
"report_configuration": {
"create_report_configuration": true,
"email": "jsmith@example.com",
"reference": "<string>",
"content_types": []
},
"links": [
{
"href": "<string>"
}
]
}
]
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
Bearer authentication (token authentication) should be used for accessing the API.
Use Get Token to get an access token for client credentials. Pass the token in the request header:
Authorization: Bearer {access_token}where the access_token is JSON Web Tokens (JWT).
Path Parameters
An id that uniquely identifies the account.
Required string length:
9Query Parameters
filter CDDs by payout_destination_id
filter CDDs by status
Available options:
ACTIVE, DECLINED, UNDER_MANUAL_REVIEW, AUTOMATIC_REVIEW, WAITING_FOR_SIGNATURE, WAITING_FOR_DECLARATION, ERROR, ARCHIVED, WAITING_FOR_DETAILS, TERMINATED Response
List of ApprovalsPayoutDestinationResponse objects
Show child attributes
Show child attributes
Last modified on July 7, 2026
⌘I